#!/bin/bash

ZFS_PACKAGE="zfsutils-linux"
ZFS_VERSION="0.7.5-1*"
NFS_SERVER_PACKAGE="nfs-kernel-server"
NFS_SERVER_VERSION="1:1.3.4-2.1*"

install_zfs(){
    dpkg-query -s $ZFS_PACKAGE | grep -i "status" | grep -i "installed" > /dev/null
    if [ $? -eq 0 ]; then
        echo "ZFS was already installed"
    else
        echo "Installing ZFS..."
        apt install $ZFS_PACKAGE=$ZFS_VERSION
    fi
}


install_nfs_server(){
    dpkg-query -s $NFS_SERVER_PACKAGE | grep -i "status" | grep -i "installed" > /dev/null
    if [ $? -eq 0 ]; then
        echo "NFS was already installed"
    else
        echo "Installing NFS Server..."
        apt install $NFS_SERVER_PACKAGE=$NFS_SERVER_VERSION
    fi
}

install_zfs
install_nfs_server